## sh

#### OS/161 Reference Manual

### Name

sh - user command shell

### Synopsis

/bin/sh [-c command]

### Description

This is a simple command interpreter. The shell provided with OS/161 (or, perhaps, provided as a solution set, if you had to write a shell) is a simple shell accepting some basic Unix-like syntax.

### Requirements

sh uses these system calls:

- chdir
- fork
- execv
- waitpid
- read
- write
- _exit
- __time

This shell's basic functionality should work properly once the basic system calls assignment is complete. Some features may require additional support which may be part of subsequent assignments.